package com.srs.comprehensive.mapper;

import com.srs.comprehensive.domain.CphTerm;
import com.srs.diagnostic.domain.DiaReportRelease;

import java.util.List;


/**
 * 学期Mapper接口
 * 
 * @author srs
 * @date 2023-08-22
 */
public interface CphTermMapper 
{
    /**
     * 查询学期
     *
     * @param id 学期主键
     * @return 学期
     */
    public CphTerm selectCphTermById(Long id);

    /**
     * 查询学期列表
     *
     * @param cphTerm 学期
     * @return 学期集合
     */
    List<CphTerm> selectCphTermList(CphTerm cphTerm);

    /**
     * 新增学期
     *
     * @param cphTerm 学期
     * @return 结果
     */
    int insertCphTerm(CphTerm cphTerm);

    /**
     * 修改学期
     *
     * @param cphTerm 学期
     * @return 结果
     */
    int updateCphTerm(CphTerm cphTerm);

    /**
     * 删除学期
     *
     * @param id 学期主键
     * @return 结果
     */
    int deleteCphTermById(Long id);

    /**
     * 批量删除学期
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCphTermByIds(Long[] ids);

    /**
     * 绑定下拉框
     *
     * @param
     * @return 结果
     */
    List<CphTerm> xlkterm_name();
}
